# Interface PointCloudBitfieldFilterJson

Filters points based on the value of the specified bitfield attribute.

See https://developers.arcgis.com/web-scene-specification/objects/pointCloudBitfieldFilter/.

interface PointCloudBitfieldFilterJson {
field?: string;
requiredClearBits?: number[];
requiredSetBits?: number[];
type: "pointCloudBitfieldFilter";
}

#####
Index

### Properties

field?
requiredClearBits?
requiredSetBits?
type

##
Properties

### `Optional` field

field?: string

The name of the field that is used for the filter.

### `Optional` requiredClearBits

requiredClearBits?: number[]

List ALL bit numbers that must cleared (=0) for the point to be kept. Bit 0 is LSB.

### `Optional` requiredSetBits

requiredSetBits?: number[]

List ALL bit numbers that must set (=1) for the point to be kept. Bit 0 is LSB.

### type

type

Filters points based on the value of an specified attribute.